window.onload = function () {
    GC.Spread.Common.CultureManager.culture("ko-kr");
    var spread = new GC.Spread.Sheets.Workbook(document.getElementById('ss'), { sheetCount: 2 });
    initSpread(spread);
    var pivotLayoutSheet = spread.getSheet(0);
    initPivotTable(pivotLayoutSheet);
    doAutoFitColumn(pivotLayoutSheet);
};

function initSpread(spread) {
    spread.suspendPaint();
    var sheet1 = spread.getSheet(1);
    sheet1.name("DataSource");
    sheet1.setRowCount(700);
    sheet1.setColumnWidth(5, 150);
    sheet1.setArray(0, 0, pivotSales);
    sheet1.tables.add('tableSales', 0, 0, 642, 6);
    var sheet0 = spread.getSheet(0);
    sheet0.name("PivotLayout");
    spread.resumePaint();
}

function initPivotTable(sheet) {
    var myPivotTable = sheet.pivotTables.add("myPivotTable", "tableSales", 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.dark2);
    myPivotTable.suspendLayout();
    myPivotTable.options.showRowHeader = true;
    myPivotTable.options.showColumnHeader = true;

    myPivotTable.add("region", "Region", GC.Spread.Pivot.PivotTableFieldType.rowField);
    myPivotTable.add("country", "Country", GC.Spread.Pivot.PivotTableFieldType.rowField);

    var groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] };
    myPivotTable.group(groupInfo);
    myPivotTable.add("date", "Qt", GC.Spread.Pivot.PivotTableFieldType.columnField);
    myPivotTable.add("amount", "Sum of amount", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum);

    var panel = new GC.Spread.Pivot.PivotPanel("myPivotPanel", myPivotTable, document.getElementById("panel"));

    myPivotTable.resumeLayout();
    return myPivotTable;

}

function doAutoFitColumn (sheet) {
    sheet.suspendPaint();
    var colCount = sheet.getColumnCount();
    for (var i = 0; i < colCount; i++) {
        sheet.autoFitColumn(i);
    }
    sheet.setColumnWidth(0, 20);
    sheet.setRowHeight(0, 20);
    sheet.resumePaint();
}
